Strana 1 z 1

Etomite 1.1 a PHP 5.3.×

Napísané: Št Nov 25, 2010 12:47 pm
od užívateľa _rasel^
Ak sa pokúšate rozbehnúť Etomite 1.1 na PHP 5.3.× tak určite narazíte na nezrovnalosti typu deprecated. V PHP 5.3.× niektoré funkcie už neexistujú a je potrebné použiť iné, alebo sa používa iný zápis... oprava je jednoduchá. Upravte nasledujúce súbory, alebo si stiahnite prílohu a prepíšte existujúce súbory.

Otvorte súbor index.php:
  • vyhľadajte: $tempSnippetParams = split($splitter, $tempSnippetParams);
  • upravte na: $tempSnippetParams = explode($splitter, $tempSnippetParams);
Otvorte súbor manager/includes/browsercheck.inc.php:
  • vyhľadajte: $client =& new phpSniff($GET_VARS['UA'],$sniffer_settings);
  • upravte na: $client = new phpSniff($GET_VARS['UA'],$sniffer_settings);
Otvorte súbor manager/actions/static/files.static.action.php
  • nájdite všetky reťazce split(
  • nahradte ich explode( - ide o riadky 47, 48, 50, 52, 53.
Oprava inštalácie - otvorte súbor install/sqlParser.class.php
  • vyhľadajte: $sql_array = split("\n\n", $idata); a upravte na: $sql_array = explode("\n\n", $idata);
  • vyhľadajte: if (ereg('^\#', $sql_do)) continue; a upravte na: if (preg_match('/^\#/', $sql_do)) continue;
  • vyhľadajte: if (ereg('^\--', $sql_do)) continue; a upravte na: if (preg_match('/^\--/', $sql_do)) continue;

Re: Etomite 1.1 a PHP 5.3.×

Napísané: Pi Máj 27, 2011 10:08 am
od užívateľa _rasel^
Ak používate niektoré staršie verzie snippetov (ktoré vám predtým fungovali), tak ich bude tiež potrebné upraviť kvôli kompatibilite s PHP 5.3. Momentálne známe komplikácie sú s greyboxgall a highslidegal.

Re: Etomite 1.1 a PHP 5.3.×

Napísané: Ut Mar 03, 2015 6:49 pm
od užívateľa stfo
dakujem, paradne riesenie

Re: Etomite 1.1 a PHP 5.3.×

Napísané: Pi Jún 02, 2017 4:57 pm
od užívateľa _rasel^
Etomite pre PHP 7.1 je v tejto téme.